/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var biggerThan = require('./biggerThan.js');
var smallerThan = require('./smallerThan.js');

/**
 * Evaluates whether the received value is between at defined range
 * @param min
 * @returns {function(*=): function(*=): boolean}
 */

var between = function between(min) {
  return function (max) {
    return compose.default(biggerThan.default(min), smallerThan.default(max));
  };
};

exports.default = between;
