/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var isNumber = require('./isNumber.js');

/**
 * Evaluates whether the received value is a number bigger than the defined one
 * @param number
 * @returns {function(*=): boolean}
 */

var biggerThan = function biggerThan(number) {
  return compose.default(isNumber.default, function (value) {
    return value > number;
  });
};

exports.default = biggerThan;
