/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * It's the very backbone of Deep Waters, it takes a series of validators and returns a new function that takes a
 * value and evaluates whether that value is valid for all the previously provided validators.
 * @param validators
 * @returns {function(*=): boolean}
 */
var compose = function compose() {
  for (var _len = arguments.length, validators = new Array(_len), _key = 0; _key < _len; _key++) {
    validators[_key] = arguments[_key];
  }

  return function (value) {
    return Array.from(new Set(validators)).every(function (validator) {
      return validator(value);
    });
  };
};

exports.default = compose;
