/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var or = require('./or.js');
var when = require('./when.js');
var not = require('./not.js');
var isString = require('./isString.js');
var isPrimitive = require('./isPrimitive.js');
var equals = require('./equals.js');
var stubFalse = require('./utils/stubFalse.js');

var arrayContains = function arrayContains(value) {
  return function (array) {
    if (isPrimitive.default(value)) {
      return array.includes(value);
    }

    return array.filter(not.default(equals.default(value))).length !== array.length;
  };
};
/**
 * Evaluates whether the specified value equals at least one of the elements of the given list, if the provided
 * list is otherwise a string, makes sure that value it's a sub-string
 */


var contains = function contains(value) {
  return compose.default(when.default(isString.default, function (string) {
    return string.includes(value);
  }), when.default(Array.isArray, arrayContains(value)), when.default(not.default(or.default(isString.default, Array.isArray)), stubFalse.default));
};

exports.default = contains;
