/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var isFunction = require('./isFunction.js');

/**
 * Makes sure that every item of the array is valid for the received validator
 * @param validator
 * @returns {function(*): *}
 */

var every = function every(validator) {
  return compose.default(function () {
    return isFunction.default(validator);
  }, Array.isArray, function (items) {
    return items.every(validator);
  });
};

exports.default = every;
