/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var isTruthy = require('./isTruthy.js');

/**
 * Takes a string defining a property name and returns a new function evaluation whether the received object exists and
 * has the defined property.
 * @param prop
 * @returns {function(*=): boolean}
 */

var hasProp = function hasProp(prop) {
  return compose.default(isTruthy.default, function (value) {
    return prop && value[prop] !== undefined;
  });
};

exports.default = hasProp;
