/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var or = require('./or.js');
var isAmericanExpress = require('./credit-cards/isAmericanExpress.js');
var isDinersClub = require('./credit-cards/isDinersClub.js');
var isDiscover = require('./credit-cards/isDiscover.js');
var isJCB = require('./credit-cards/isJCB.js');
var isMastercard = require('./credit-cards/isMastercard.js');
var isVISA = require('./credit-cards/isVISA.js');

/**
 * Reports whether the received value is a string and is a valid credit-card number
 * @type {function(*=): boolean}
 */

var isCreditCard = or.default(isAmericanExpress.default, isVISA.default, isMastercard.default, isDinersClub.default, isDiscover.default, isJCB.default);

exports.default = isCreditCard;
