/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var isString = require('./isString.js');
var matchesPattern = require('./matchesPattern.js');

var ipv4Regex = /^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$/;
/**
 * Takes a value and return true if it's a valid IP v4 string
 * @param value
 * @returns {boolean}
 */

var isIPv4 = compose.default(isString.default, matchesPattern.default(ipv4Regex));

exports.default = isIPv4;
