/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var or = require('./or.js');
var isString = require('./isString.js');
var matchesPattern = require('./matchesPattern.js');

/* eslint-disable max-len */

var isInternational = matchesPattern.default(/\+(9[976]\d|8[987530]\d|6[987]\d|5[90]\d|42\d|3[875]\d|2[98654321]\d|9[8543210]|8[6421]|6[6543210]|5[87654321]|4[987654310]|3[9643210]|2[70]|7|1)\d{1,14}$/);
var isUK = matchesPattern.default(/^(?:(?:\(?(?:0(?:0|11)\)?[\s-]?\(?|\+)44\)?[\s-]?(?:\(?0\)?[\s-]?)?)|(?:\(?0))(?:(?:\d{5}\)?[\s-]?\d{4,5})|(?:\d{4}\)?[\s-]?(?:\d{5}|\d{3}[\s-]?\d{3}))|(?:\d{3}\)?[\s-]?\d{3}[\s-]?\d{3,4})|(?:\d{2}\)?[\s-]?\d{4}[\s-]?\d{4}))(?:[\s-]?(?:x|ext\.?|#)\d{3,4})?$/);
var isUSA = matchesPattern.default(/1?\W*([2-9][0-8][0-9])\W*([2-9][0-9]{2})\W*([0-9]{4})(\se?x?t?(\d*))?/);
var isGermany = matchesPattern.default(/^([+][0-9]{1,3}[ .-])?([(]{1}[0-9]{1,6}[)])?([0-9 .\-/]{3,20})((x|ext|extension)[ ]?[0-9]{1,4})?$/);
var isChina = matchesPattern.default(/1[34578][012356789]\d{8}|134[012345678]\d{7}/);
var isRussia = matchesPattern.default(/^((\+7|7|8)+([0-9]){10})$/);
var isJapan = matchesPattern.default(/^(?:\d{10}|\d{3}-\d{3}-\d{4}|\d{2}-\d{4}-\d{4}|\d{3}-\d{4}-\d{4})$/);
/* eslint-enable max-len */

var isPhone = compose.default(isString.default, or.default(isInternational, isUSA, isUK, isGermany, isUSA, isChina, isRussia, isJapan));

exports.default = isPhone;
