/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var isFunction = require('./isFunction.js');
var isNumber = require('./isNumber.js');
var or = require('./or.js');
var isString = require('./isString.js');
var isBigInt = require('./isBigInt.js');
var isBoolean = require('./isBoolean.js');
var isSymbol = require('./isSymbol.js');
var isUndefined = require('./isUndefined.js');
var isNull = require('./isNull.js');

/**
 * Receives a value and reports whether it is a primitive of not
 * @type {function(*=): boolean}
 */

var isPrimitive = or.default(isString.default, isFunction.default, isBoolean.default, isNumber.default, isBigInt.default, isSymbol.default, isNull.default, isUndefined.default);

exports.default = isPrimitive;
