/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var not = require('./not.js');
var matchesPattern = require('./matchesPattern.js');
var isEmptyString = require('./isEmptyString.js');

/**
 * Returns true if the given string matches a valid url, according to:
 * https://stackoverflow.com/questions/5717093/check-if-a-javascript-string-is-a-url
 * @type {function(*=): boolean}
 */

var isURL = compose.default(not.default(isEmptyString.default), matchesPattern.default(new RegExp('^(https?:\\/\\/)?' // protocol
+ '((([a-z\\d]([a-z\\d-]*[a-z\\d])*)\\.)+[a-z]{2,}|' // domain name
+ '((\\d{1,3}\\.){3}\\d{1,3}))' // OR ip (v4) address
+ '(\\:\\d+)?(\\/[-a-z\\d%_.~+]*)*' // port and path
+ '(\\?[;&a-z\\d%_.~+=-]*)?' // query string
+ '(\\#[-a-z\\d_]*)?$', 'i')));

exports.default = isURL;
