/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * Using Object.prototype.toString.call() works much than typeof for type checking in JavaScript, since it works
 * properly for null. Not only that, but it returns the specific type of any given object.
 * @param className
 * @returns {function(*=): boolean}
 */
var ofClass = function ofClass(className) {
  return function (value) {
    return Object.prototype.toString.call(value) === "[object ".concat(className, "]");
  };
};

exports.default = ofClass;
