/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var hasProp = require('./hasProp.js');

/**
 * Takes number and returns a function that returns true if the length property of its first parameter
 * (may it be an array or a string) equals the given number.
 * @param number
 * @returns {function({length: *}): boolean}
 */

var ofLength = function ofLength(number) {
  return compose.default(hasProp.default('length'), function (_ref) {
    var length = _ref.length;
    return length === number;
  });
};

exports.default = ofLength;
