/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * Takes a series of validator functions and return a new functions that evaluate whether the given value
 * is a valid value for at least one of the previous validators.
 * @param validators
 * @returns {function(*=): boolean}
 */
var or = function or() {
  for (var _len = arguments.length, validators = new Array(_len), _key = 0; _key < _len; _key++) {
    validators[_key] = arguments[_key];
  }

  return function (value) {
    return validators.reduce(function (acc, current) {
      return acc || current(value);
    }, false);
  };
};

exports.default = or;
