/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var isNumber = require('./isNumber.js');

/**
 * Takes a number N and return a new function that evaluates whether the received value is of type number and it's
 * smaller than N (the one previously defined). The evaluation is not inclusive.
 * @param number
 * @returns {function(*=): boolean}
 */

var smallerThan = function smallerThan(number) {
  return compose.default(isNumber.default, function (value) {
    return value < number;
  });
};

exports.default = smallerThan;
